Name | Type | Default |
disabled
|
Boolean
|
false
|
Enables or disables the jqxTextArea.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :disabled="true" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
displayMember
|
String
|
''
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :displayMember="displayMember" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { displayMember: 'ContactName', source: [{ 'CompanyName': 'Company1', 'ContactName': 'Ana' }, { 'CompanyName': 'Company2', 'ContactName': 'Maria' }]
|
dropDownWidth
|
Number
|
null
|
Sets or gets the jqxTextArea's dropdown (pop-up) width.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :dropDownWidth="dropDownWidth" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { dropDownWidth: 300, source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ]
|
height
|
Number | String
|
null
|
Sets or gets the jqxTextArea's height.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
items
|
Number
|
8
|
Sets or gets the maximum number of items to display in the popup menu.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :items="items" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { items: 3, source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ]
|
maxLength
|
Number
|
null
|
Sets or gets the maximum character length of the textarea.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :maxLength="10" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
minLength
|
Number
|
1
|
Sets or gets the minimum character length needed before triggering auto-complete suggestions.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :minLength="2" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
opened
|
Boolean
|
false
|
Gets a value indicating whether the auto-suggest popup is opened.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template> <script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { let opened = this.$refs.myTextArea.opened; alert( 'Opened: ' + opened);
|
placeHolder
|
String
|
''
|
Sets or gets the textarea's placeholder.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
popupZIndex
|
Number
|
20000
|
Sets or gets the auto-suggest popup's z-index.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :popupZIndex="popupZIndex" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { popupZIndex: 99999, source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ]
|
query
|
String
|
''
|
Determines the textarea's query.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :source="source" :placeHolder="'Enter a Country'" :renderer="renderer" /> </template> <script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { countries: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { source: function (query, response) { const item = query.split(/,\s*/).pop(); // update the search query. this.$refs.myTextArea.query = item; response(this.countries); }, renderer: function (itemValue, inputValue) { const terms = inputValue.split(/,\s*/); // remove the current input terms.pop(); // add the selected item terms.push(itemValue); // add placeholder to get the comma-and-space at the end
|
renderer
|
Function
|
null
|
Enables you to update the textarea's value, after a selection from the auto-complete popup.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :source="source" :placeHolder="'Enter a Country'" :renderer="renderer" /> </template> <script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { countries: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { source: function (query, response) { const item = query.split(/,\s*/).pop(); // update the search query. this.$refs.myTextArea.query = item; response(this.countries); }, renderer: function (itemValue, inputValue) { const terms = inputValue.split(/,\s*/); // remove the current input terms.pop(); // add the selected item terms.push(itemValue); // add placeholder to get the comma-and-space at the end
|
roundedCorners
|
Boolean
|
true
|
Enables or disables the rounded corners functionality. This property setting has effect in browsers which support CSS border-radius.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :roundedCorners="true" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :rtl="true" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
scrollBarSize
|
Number
|
15
|
Sets or gets the size of the scrollbar.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :scrollBarSize="15" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
searchMode
|
String
|
'default'
|
Sets or gets the search mode. When the user types into the textarea, the widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :searchMode="searchMode" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { searchMode: 'containsignorecase', source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ]
|
source
|
Array | Function | Object
|
[]
|
Sets the widget's data source. The 'source' function is passed two arguments, the textarea's value and a callback function. The 'source' function may be used synchronously by returning an array of items or asynchronously via the callback.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, methods: { source: function () { return [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ]
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :theme="'material'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
valueMember
|
String
|
''
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" :valueMember="valueMember" :source="source" :displayMember="'ContactName'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { valueMember: 'CompanyName', source: [{ 'CompanyName': 'Company1', 'ContactName': 'Ana' }, { 'CompanyName': 'Company2', 'ContactName': 'Maria' }]
|
width
|
Number | String
|
null
|
Sets or gets the jqxTextArea's width.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue';
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxTextArea.
<template> <JqxTextArea ref="myTextArea" @open="open($event)" @change="change($event)" @select="select($event)" @close="close($event)" :width="200" :height="50" :placeHolder="'Enter a Country'" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { open: function (event) { alert( 'open'); }, change: function (event) { alert( 'change'); }, select: function (event) { alert( 'select'); }, close: function (event) {
|
close
|
Event
|
|
This event is triggered when the auto-suggest popup is closed.
Code examples
Bind to the close event of jqxTextArea.
<template> <JqxTextArea ref="myTextArea" @open="open($event)" @change="change($event)" @select="select($event)" @close="close($event)" :width="200" :height="50" :placeHolder="'Enter a Country'" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { open: function (event) { alert( 'open'); }, change: function (event) { alert( 'change'); }, select: function (event) { alert( 'select'); }, close: function (event) {
|
open
|
Event
|
|
This event is triggered when the auto-suggest popup is opened.
Code examples
Bind to the open event of jqxTextArea.
<template> <JqxTextArea ref="myTextArea" @open="open($event)" @change="change($event)" @select="select($event)" @close="close($event)" :width="200" :height="50" :placeHolder="'Enter a Country'" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { open: function (event) { alert( 'open'); }, change: function (event) { alert( 'change'); }, select: function (event) { alert( 'select'); }, close: function (event) {
|
select
|
Event
|
|
This event is triggered when an item is selected from the auto-suggest popup.
Code examples
Bind to the select event of jqxTextArea.
<template> <JqxTextArea ref="myTextArea" @open="open($event)" @change="change($event)" @select="select($event)" @close="close($event)" :width="200" :height="50" :placeHolder="'Enter a Country'" :source="source" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, data: function () { return { source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria'] } }, methods: { open: function (event) { alert( 'open'); }, change: function (event) { alert( 'change'); }, select: function (event) { alert( 'select'); }, close: function (event) {
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { this.$refs.myTextArea.destroy();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { this.$refs.myTextArea.focus();
|
refresh
|
None
|
None
|
Refreshes the widget.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { this.$refs.myTextArea.refresh();
|
render
|
None
|
None
|
Renders the widget.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { this.$refs.myTextArea.render();
|
selectAll
|
None
|
None
|
Selects the text in the textarea.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { this.$refs.myTextArea.selectAll();
|
val
|
value
|
String
|
Sets or gets the value.
<template> <JqxTextArea ref="myTextArea" :width="200" :height="50" :placeHolder="'Enter a Country'" /> </template>
<script> import JqxTextArea from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxtextarea.vue'; export default { components: { JqxTextArea }, mounted: function () { const value = this.$refs.myTextArea.val();
|

Name | Type | Default |
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [disabled]="true"> </jqxTextArea> `}) export class AppComponent {
|
displayMember
|
String
|
''
|
Sets or gets the displayMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [displayMember]="'ContactName'"> </jqxTextArea> `}) export class AppComponent {
|
dropDownWidth
|
String | Number
|
null
|
Sets or gets the dropDownWidth property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [dropDownWidth]="300"> </jqxTextArea> `}) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
items
|
Number
|
8
|
Sets or gets the items property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [items]="10"> </jqxTextArea> `}) export class AppComponent {
|
maxLength
|
Number
|
null
|
Sets or gets the maxLength property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [maxLength]="10"> </jqxTextArea> `}) export class AppComponent {
|
minLength
|
Number
|
1
|
Sets or gets the minLength property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [minLength]="2"> </jqxTextArea> `}) export class AppComponent {
|
opened
|
Boolean
|
false
|
Sets or gets the opened property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [opened]="true"> </jqxTextArea> `}) export class AppComponent {
|
placeHolder
|
String
|
''
|
Sets or gets the placeHolder property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
popupZIndex
|
Number
|
20000
|
Sets or gets the popupZIndex property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [popupZIndex]="99999"> </jqxTextArea> `}) export class AppComponent {
|
query
|
String
|
''
|
Sets or gets the query property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [query]="'item'"> </jqxTextArea> `}) export class AppComponent {
|
renderer
|
(itemValue: Any, inputValue: Any) => Any
|
null
|
Sets or gets the renderer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [renderer]="renderer"> </jqxTextArea> `}) export class AppComponent {
|
roundedCorners
|
Boolean
|
true
|
Sets or gets the roundedCorners property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [roundedCorners]="true"> </jqxTextArea> `}) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [rtl]="true"> </jqxTextArea> `}) export class AppComponent {
|
scrollBarSize
|
Number
|
15
|
Sets or gets the scrollBarSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [scrollBarSize]="15"> </jqxTextArea> `}) export class AppComponent {
|
searchMode
|
enum:TextAreaSearchMode
|
'default'
|
enum TextAreaSearchMode { none, contains, containsignorecase, equals, equalsignorecase, startswithignorecase, startswith, endswithignorecase, endswith } Sets or gets the searchMode property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [searchMode]="'containsignorecase'"> </jqxTextArea> `}) export class AppComponent {
|
source
|
Array<Any>
|
[]
|
Sets or gets the source property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [source]="source"> </jqxTextArea> `}) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [theme]="'energyblue'"> </jqxTextArea> `}) export class AppComponent {
|
valueMember
|
String
|
''
|
Sets or gets the valueMember property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'" [valueMember]="'CompanyName'"> </jqxTextArea> `}) export class AppComponent {
|
width
|
String | Number
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxTextArea.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea(onChange)="Change($event)" [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
close
|
Event
|
|
This event is triggered when the auto-suggest popup is closed.
Code examples
Bind to the close event of jqxTextArea.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea(onClose)="Close($event)" [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
open
|
Event
|
|
This event is triggered when the auto-suggest popup is opened.
Code examples
Bind to the open event of jqxTextArea.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea(onOpen)="Open($event)" [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
select
|
Event
|
|
This event is triggered when an item is selected from the auto-suggest popup.
Code examples
Bind to the select event of jqxTextArea.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea(onSelect)="Select($event)" [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent {
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTextArea') myTextArea: jqxTextAreaComponent; ngAfterViewInit(): void { this.myTextArea.destroy();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTextArea') myTextArea: jqxTextAreaComponent;
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTextArea') myTextArea: jqxTextAreaComponent; ngAfterViewInit(): void { this.myTextArea.refresh();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTextArea') myTextArea: jqxTextAreaComponent; ngAfterViewInit(): void { this.myTextArea.render();
|
selectAll
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTextArea') myTextArea: jqxTextAreaComponent; ngAfterViewInit(): void { this.myTextArea.selectAll();
|
val
|
String
|
value: String
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxTextArea #myTextArea [width]="300" [height]="90" [placeHolder]="'Enter a sentence'"> </jqxTextArea> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myTextArea') myTextArea: jqxTextAreaComponent; ngAfterViewInit(): void { let value = this.myTextArea.val();
|

Name | Type | Default |
disabled
|
boolean
|
false
|
Enables or disables the jqxTextArea.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
displayMember
|
string
|
''
|
Sets or gets the displayMember of the Items. The displayMember specifies the name of an object property to display. The name is contained in the collection specified by the 'source' property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { displayMember: 'ContactName', source: [{ 'CompanyName': 'Company1', 'ContactName': 'Ana' }, { 'CompanyName': 'Company2', 'ContactName': 'Maria' }] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} displayMember={this.state.displayMember} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
dropDownWidth
|
number | string
|
null
|
Sets or gets the jqxTextArea's dropdown (pop-up) width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { dropDownWidth: 300, source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} dropDownWidth={this.state.dropDownWidth} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the jqxTextArea's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
items
|
number
|
8
|
Sets or gets the maximum number of items to display in the popup menu.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { items: 3, source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} items={this.state.items} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
maxLength
|
number
|
null
|
Sets or gets the maximum character length of the textarea.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} maxLength={10} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minLength
|
number
|
1
|
Sets or gets the minimum character length needed before triggering auto-complete suggestions.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} minLength={2} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
opened
|
boolean
|
false
|
Gets a value indicating whether the auto-suggest popup is opened.
|
placeHolder
|
string
|
''
|
Sets or gets the textarea's placeholder.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupZIndex
|
number
|
20000
|
Sets or gets the auto-suggest popup's z-index.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { popupZIndex: 99999, source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} popupZIndex={this.state.popupZIndex} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
query
|
string
|
''
|
Determines the textarea's query.
|
renderer
|
(itemValue: any, inputValue: any) => any
|
null
|
Enables you to update the textarea's value, after a selection from the auto-complete popup.
|
roundedCorners
|
boolean
|
true
|
Enables or disables the rounded corners functionality. This property setting has effect in browsers which support CSS border-radius.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} roundedCorners={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
scrollBarSize
|
number
|
15
|
Sets or gets the size of the scrollbar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} scrollBarSize={15} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
searchMode
|
TextAreaSearchMode
|
'default'
|
TextAreaSearchMode: "none" | "contains" | "containsignorecase" | "equals" | "equalsignorecase" | "startswithignorecase" | "startswith" | "endswithignorecase" | "endswith"
Sets or gets the search mode. When the user types into the textarea, the widget tries to find the searched item using the entered text and the selected search mode.
Possible Values:
'none'
'contains'
'containsignorecase'
'equals'
'equalsignorecase'
'startswithignorecase'
'startswith'
'endswithignorecase'
'endswith'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { searchMode: 'containsignorecase', source: [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} searchMode={this.state.searchMode} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
source
|
any
|
[]
|
Sets the widget's data source. The 'source' function is passed two arguments, the textarea's value and a callback function. The 'source' function may be used synchronously by returning an array of items or asynchronously via the callback.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { source: return [ 'Afghanistan', 'Albania', 'Algeria', 'Andorra', 'Angola', 'Brazil', 'Brunei', 'Bulgaria' ] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} source={this.state.source} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} theme={'material'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
valueMember
|
string
|
''
|
Sets or gets the valueMember of the Items. The valueMember specifies the name of an object property to set as a 'value' of the list items. The name is contained in the collection specified by the 'source' property.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); constructor(props: {}) { super(props); this.state = { valueMember: 'CompanyName', source: [{ 'CompanyName': 'Company1', 'ContactName': 'Ana' }, { 'CompanyName': 'Company2', 'ContactName': 'Maria' }] } } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} valueMember={this.state.valueMember} source={this.state.source} displayMember={ 'ContactName'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
null
|
Sets or gets the jqxTextArea's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxTextArea.
|
close
|
Event
|
|
This event is triggered when the auto-suggest popup is closed.
Code examples
Bind to the close event of jqxTextArea.
|
open
|
Event
|
|
This event is triggered when the auto-suggest popup is opened.
Code examples
Bind to the open event of jqxTextArea.
|
select
|
Event
|
|
This event is triggered when an item is selected from the auto-suggest popup.
Code examples
Bind to the select event of jqxTextArea.
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public componentDidMount(): void { this.myTextArea.current!.destroy(); } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public componentDidMount(): void { this.myTextArea.current!.focus(); } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refreshes the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public componentDidMount(): void { this.myTextArea.current!.refresh(); } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public componentDidMount(): void { this.myTextArea.current!.render(); } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectAll
|
None
|
|
Selects the text in the textarea.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public componentDidMount(): void { this.myTextArea.current!.selectAll(); } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxTextArea, { ITextAreaProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxtextarea'; class App extends React.PureComponent<{}, ITextAreaProps> { private myTextArea = React.createRef<JqxTextArea>(); public componentDidMount(): void { this.myTextArea.current!.val(); } public render() { return ( <JqxTextArea ref={this.myTextArea} width={200} height={50} placeHolder={ 'Enter a Country'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|